<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.1
Name: Ontvangstbevestiging
Description: Ontvangstbevestiging. De waarde voor het element acceptAckCode is "NE". Accept Acknowledgement
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000">
   <title>Ontvangstbevestiging</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002
Item: (Ontvangstbevestiging)
-->

   <rule context="hl7:MCCI_IN000002" id="tmp-r-281362-478653-698999-842511">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(Ontvangstbevestiging): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(Ontvangstbevestiging): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:creationTime)&gt;=1 and not(hl7:creationTime/@nullFlavor)">(Ontvangstbevestiging): element hl7:creationTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:creationTime)&lt;=1">(Ontvangstbevestiging): element hl7:creationTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:versionCode[@code='NICTIZEd2005-Okt'])&gt;=1 and not(hl7:versionCode[@code='NICTIZEd2005-Okt']/@nullFlavor)">(Ontvangstbevestiging): element hl7:versionCode[@code='NICTIZEd2005-Okt'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:versionCode[@code='NICTIZEd2005-Okt'])&lt;=1">(Ontvangstbevestiging): element hl7:versionCode[@code='NICTIZEd2005-Okt'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:interactionId[@root='2.16.840.1.113883.1.6'])&gt;=1 and not(hl7:interactionId[@root='2.16.840.1.113883.1.6']/@nullFlavor)">(Ontvangstbevestiging): element hl7:interactionId[@root='2.16.840.1.113883.1.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:interactionId[@root='2.16.840.1.113883.1.6'])&lt;=1">(Ontvangstbevestiging): element hl7:interactionId[@root='2.16.840.1.113883.1.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'])&gt;=1 and not(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']/@nullFlavor)">(Ontvangstbevestiging): element hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'])&lt;=1">(Ontvangstbevestiging): element hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:processingCode[@code='P'])&gt;=1 and not(hl7:processingCode[@code='P']/@nullFlavor)">(Ontvangstbevestiging): element hl7:processingCode[@code='P'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:processingCode[@code='P'])&lt;=1">(Ontvangstbevestiging): element hl7:processingCode[@code='P'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:processingModeCode[@code='T'])&gt;=1 and not(hl7:processingModeCode[@code='T']/@nullFlavor)">(Ontvangstbevestiging): element hl7:processingModeCode[@code='T'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:processingModeCode[@code='T'])&lt;=1">(Ontvangstbevestiging): element hl7:processingModeCode[@code='T'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:acceptAckCode[@code='NE'])&gt;=1 and not(hl7:acceptAckCode[@code='NE']/@nullFlavor)">(Ontvangstbevestiging): element hl7:acceptAckCode[@code='NE'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:acceptAckCode[@code='NE'])&lt;=1">(Ontvangstbevestiging): element hl7:acceptAckCode[@code='NE'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:acknowledgement)&gt;=1 and not(hl7:acknowledgement/@nullFlavor)">(Ontvangstbevestiging): element hl7:acknowledgement is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:acknowledgement)&lt;=1">(Ontvangstbevestiging): element hl7:acknowledgement komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:receiver)&gt;=1 and not(hl7:receiver/@nullFlavor)">(Ontvangstbevestiging): element hl7:receiver is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:receiver)&lt;=1">(Ontvangstbevestiging): element hl7:receiver komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:sender)&gt;=1 and not(hl7:sender/@nullFlavor)">(Ontvangstbevestiging): element hl7:sender is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.1-2012-08-01T000000.html"
              test="count(hl7:sender)&lt;=1">(Ontvangstbevestiging): element hl7:sender komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.101
Context: hl7:MCCI_IN000002
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.101
Context: hl7:MCCI_IN000002
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.101
Context: hl7:MCCI_IN000002/hl7:id
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:id"
         id="tmp-r-895370-259095-829584-765976">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000200): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="@root and @extension">(TransmissionWrapperMCCI_MT000200): Transmission: id element mist root of extension</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.101
Context: hl7:MCCI_IN000002/hl7:creationTime
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:creationTime"
         id="tmp-r-460192-414482-512484-613831">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000200): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATETIME.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.101
Context: hl7:MCCI_IN000002/hl7:versionCode[@code='NICTIZEd2005-Okt']
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:versionCode[@code='NICTIZEd2005-Okt']"
         id="tmp-r-780915-218166-461732-558079">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000200): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="@nullFlavor or (@code='NICTIZEd2005-Okt')">(TransmissionWrapperMCCI_MT000200): de elementwaarde MOET zijn code 'NICTIZEd2005-Okt'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.101
Context: hl7:MCCI_IN000002/hl7:interactionId[@root='2.16.840.1.113883.1.6']
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:interactionId[@root='2.16.840.1.113883.1.6']"
         id="tmp-r-795546-625515-850776-710414">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000200): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.1.6'">(TransmissionWrapperMCCI_MT000200): @root MOET de waarde '2.16.840.1.113883.1.6' hebben.</assert>
      <let name="interactionId"
           value="self::node()[@root='2.16.840.1.113883.1.6']/@extension"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="not(@root='2.16.840.1.113883.1.6') or local-name(..)=@extension">(TransmissionWrapperMCCI_MT000200): Transmission: @extension moet overeenkomen met het startelement van het bericht</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.101
Context: hl7:MCCI_IN000002/hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']"
         id="tmp-r-989614-486780-415232-755384">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000200): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.11.1'">(TransmissionWrapperMCCI_MT000200): @root MOET de waarde '2.16.840.1.113883.2.4.3.11.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="string(@extension)='810'">(TransmissionWrapperMCCI_MT000200): de waarde van @extension MOET '810' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.101
Context: hl7:MCCI_IN000002/hl7:processingCode[@code='P']
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:processingCode[@code='P']"
         id="tmp-r-255704-423407-658987-272284">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000200): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="@nullFlavor or (@code='P')">(TransmissionWrapperMCCI_MT000200): de elementwaarde MOET zijn code 'P'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.101
Context: hl7:MCCI_IN000002/hl7:processingModeCode[@code='T']
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:processingModeCode[@code='T']"
         id="tmp-r-983426-305308-608693-522187">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000200): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="@nullFlavor or (@code='T')">(TransmissionWrapperMCCI_MT000200): de elementwaarde MOET zijn code 'T'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.101
Context: hl7:MCCI_IN000002/hl7:acceptAckCode[@code='NE']
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:acceptAckCode[@code='NE']"
         id="tmp-r-866634-508590-652586-920336">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000200): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="@nullFlavor or (@code='NE')">(TransmissionWrapperMCCI_MT000200): de elementwaarde MOET zijn code 'NE'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.101
Context: hl7:MCCI_IN000002/hl7:acknowledgement
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:acknowledgement"
         id="tmp-r-909564-318510-630360-802091">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="string(@typeCode)='CA' or string(@typeCode)='CE' or string(@typeCode)='CR' or string(@typeCode)='AA' or string(@typeCode)='AE' or string(@typeCode)='AR'">(TransmissionWrapperMCCI_MT000200): de waarde van @typeCode MOET één van de volgende codes bevatten: CA', 'CE', 'CR', 'AA', 'AE', 'AR.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="@typeCode='CA' or @typeCode='CE' or @typeCode='CR'">(TransmissionWrapperMCCI_MT000200): Transmission: ontvangstbevestigingen moeten acknowledgement/@typeCode CA, CE of CR hebben. In slechts sommige gevallen worden toch inhoudelijke antwoorden toegestaan (@typeCode is 'AA', 'AE' or 'AR').</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="@typeCode='AA' or @typeCode='CA' or hl7:acknowledgementDetail">(TransmissionWrapperMCCI_MT000200): Transmission: negatieve antwoordberichten moeten ook een reden hebben waarom</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="count(hl7:targetMessage)&gt;=1 and not(hl7:targetMessage/@nullFlavor)">(TransmissionWrapperMCCI_MT000200): element hl7:targetMessage is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="count(hl7:targetMessage)&lt;=1">(TransmissionWrapperMCCI_MT000200): element hl7:targetMessage komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.101
Context: hl7:MCCI_IN000002/hl7:acknowledgement/hl7:acknowledgementDetail
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:acknowledgement/hl7:acknowledgementDetail"
         id="tmp-r-454522-960919-819509-260304">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="string(@typeCode)='E' or not(@typeCode)">(TransmissionWrapperMCCI_MT000200): de waarde van @typeCode MOET 'E' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="hl7:code[@code and @displayName] or hl7:text">(TransmissionWrapperMCCI_MT000200): Transmission: er moet een toelichting op de fout/waarschuwing zijn in hl7:code/@displayName of text</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TransmissionWrapperMCCI_MT000200): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(TransmissionWrapperMCCI_MT000200): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(TransmissionWrapperMCCI_MT000200): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.101
Context: hl7:MCCI_IN000002/hl7:acknowledgement/hl7:acknowledgementDetail/hl7:code
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:acknowledgement/hl7:acknowledgementDetail/hl7:code"
         id="tmp-r-351962-112109-248607-181693">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000200): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="@displayName or @codeSystem='2.16.840.1.113883.5.1100' or @codeSystem='2.16.840.1.113883.2.4.6.6.1.1000' or @codeSystem='2.16.840.1.113883.5.4'">(TransmissionWrapperMCCI_MT000200): Transmission: als de code niet uit een van de standaardcodesystemen '2.16.840.1.113883.5.1100', '2.16.840.1.113883.2.4.6.6.1.1000', of '2.16.840.1.113883.5.4' komt is het @displayName attribuut verplicht</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.101
Context: hl7:MCCI_IN000002/hl7:acknowledgement/hl7:acknowledgementDetail/hl7:text
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:acknowledgement/hl7:acknowledgementDetail/hl7:text"
         id="tmp-r-464216-816303-196957-898910">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000200): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.101
Context: hl7:MCCI_IN000002/hl7:acknowledgement/hl7:acknowledgementDetail/hl7:location
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:acknowledgement/hl7:acknowledgementDetail/hl7:location"
         id="tmp-r-128345-454678-702275-929394">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000200): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.101
Context: hl7:MCCI_IN000002/hl7:acknowledgement/hl7:targetMessage
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:acknowledgement/hl7:targetMessage"
         id="tmp-r-398242-346969-613835-668339">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(TransmissionWrapperMCCI_MT000200): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(TransmissionWrapperMCCI_MT000200): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.101
Context: hl7:MCCI_IN000002/hl7:acknowledgement/hl7:targetMessage/hl7:id
Item: (TransmissionWrapperMCCI_MT000200)
-->

   <rule context="hl7:MCCI_IN000002/hl7:acknowledgement/hl7:targetMessage/hl7:id"
         id="tmp-r-447016-881097-754764-135172">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.101-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000200): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100.1
Context: hl7:MCCI_IN000002/hl7:receiver
Item: (TransmissionWrapperReceiverNotZIM)
-->

   <rule context="hl7:MCCI_IN000002/hl7:receiver"
         id="tmp-r-414647-771649-988045-412393">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="string(@typeCode)='RCV' or not(@typeCode)">(TransmissionWrapperReceiverNotZIM): de waarde van @typeCode MOET 'RCV' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="count(hl7:device)&gt;=1 and not(hl7:device/@nullFlavor)">(TransmissionWrapperReceiverNotZIM): element hl7:device is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="count(hl7:device)&lt;=1">(TransmissionWrapperReceiverNotZIM): element hl7:device komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100.1
Context: hl7:MCCI_IN000002/hl7:receiver/hl7:device
Item: (TransmissionWrapperReceiverNotZIM)
-->

   <rule context="hl7:MCCI_IN000002/hl7:receiver/hl7:device"
         id="tmp-r-551527-257094-160108-335708">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.6']/@nullFlavor)">(TransmissionWrapperReceiverNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&lt;=1">(TransmissionWrapperReceiverNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(TransmissionWrapperReceiverNotZIM): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100.1
Context: hl7:MCCI_IN000002/hl7:receiver/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']
Item: (TransmissionWrapperReceiverNotZIM)
-->

   <rule context="hl7:MCCI_IN000002/hl7:receiver/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']"
         id="tmp-r-418827-680055-241463-437944">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperReceiverNotZIM): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.6'">(TransmissionWrapperReceiverNotZIM): @root MOET de waarde '2.16.840.1.113883.2.4.6.6' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="@root='2.16.840.1.113883.2.4.6.6' and not(@extension='1')">(TransmissionWrapperReceiverNotZIM): Transmission: receiver/device/id mag niet de AORTA ZIM zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100.1
Context: hl7:MCCI_IN000002/hl7:receiver/hl7:device/hl7:name
Item: (TransmissionWrapperReceiverNotZIM)
-->

   <rule context="hl7:MCCI_IN000002/hl7:receiver/hl7:device/hl7:name"
         id="tmp-r-202704-926058-228829-759861">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperReceiverNotZIM): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:EN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100.5
Context: hl7:MCCI_IN000002/hl7:sender
Item: (TransmissionWrapperSenderAORTADevice)
-->

   <rule context="hl7:MCCI_IN000002/hl7:sender"
         id="tmp-r-696235-323468-157952-501971">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.100.5-2012-08-01T000000.html"
              test="string(@typeCode)='SND' or not(@typeCode)">(TransmissionWrapperSenderAORTADevice): de waarde van @typeCode MOET 'SND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.100.5-2012-08-01T000000.html"
              test="count(hl7:device)&gt;=1 and not(hl7:device/@nullFlavor)">(TransmissionWrapperSenderAORTADevice): element hl7:device is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.100.5-2012-08-01T000000.html"
              test="count(hl7:device)&lt;=1">(TransmissionWrapperSenderAORTADevice): element hl7:device komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100.5
Context: hl7:MCCI_IN000002/hl7:sender/hl7:device
Item: (TransmissionWrapperSenderAORTADevice)
-->

   <rule context="hl7:MCCI_IN000002/hl7:sender/hl7:device"
         id="tmp-r-582403-218874-134061-376498">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.100.5-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.6']/@nullFlavor)">(TransmissionWrapperSenderAORTADevice): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.100.5-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&lt;=1">(TransmissionWrapperSenderAORTADevice): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.100.5-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(TransmissionWrapperSenderAORTADevice): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100.5
Context: hl7:MCCI_IN000002/hl7:sender/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']
Item: (TransmissionWrapperSenderAORTADevice)
-->

   <rule context="hl7:MCCI_IN000002/hl7:sender/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']"
         id="tmp-r-945309-243891-290617-596182">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.100.5-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperSenderAORTADevice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.100.5-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.6'">(TransmissionWrapperSenderAORTADevice): @root MOET de waarde '2.16.840.1.113883.2.4.6.6' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100.5
Context: hl7:MCCI_IN000002/hl7:sender/hl7:device/hl7:name
Item: (TransmissionWrapperSenderAORTADevice)
-->

   <rule context="hl7:MCCI_IN000002/hl7:sender/hl7:device/hl7:name"
         id="tmp-r-902791-473760-701443-831572">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.100.5-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperSenderAORTADevice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:EN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
