<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.130
Name: Bericht 5 Hielprikverzoek (payload)
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000">
   <title>Bericht 5 Hielprikverzoek (payload)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]"
         id="tmp-r-378456-326461-874214-786902">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']])&gt;=1 and not(hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]"
         id="tmp-r-883402-915055-267809-449376">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@classCode)='SPECCOLLECT'">(VersturenHielprikverzoek-payload): de waarde van @classCode MOET 'SPECCOLLECT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@moodCode)='RQO'">(VersturenHielprikverzoek-payload): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:realmCode[@code='NL'])&gt;=1 and not(hl7:realmCode[@code='NL']/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:realmCode[@code='NL'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:realmCode[@code='NL'])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:realmCode[@code='NL'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130'])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(VersturenHielprikverzoek-payload): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')])&gt;=1 and not(hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:statusCode[@code='active'])&gt;=1 and not(hl7:statusCode[@code='active']/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:statusCode[@code='active'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:statusCode[@code='active'])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:statusCode[@code='active'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:recordTarget[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103']]])&gt;=1 and not(hl7:recordTarget[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103']]]/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:recordTarget[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:recordTarget[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103']]])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:recordTarget[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:reason[hl7:act[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or @nullFlavor='OTH']]])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:reason[hl7:act[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or @nullFlavor='OTH']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:subjectOf6)&lt;=1">(VersturenHielprikverzoek-payload): element hl7:subjectOf6 komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:realmCode[@code='NL']
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:realmCode[@code='NL']"
         id="tmp-r-766280-354134-170962-473218">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenHielprikverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="@nullFlavor or (@code='NL')">(VersturenHielprikverzoek-payload): de elementwaarde MOET zijn code 'NL'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:templateId
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:templateId"
         id="tmp-r-441793-576843-324409-193399">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenHielprikverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.130'">(VersturenHielprikverzoek-payload): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.130' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:id
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:id"
         id="tmp-r-890753-992951-677392-949095">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenHielprikverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]"
         id="tmp-r-757825-357347-570763-744270">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenHielprikverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(VersturenHielprikverzoek-payload): de waarde van @code MOET worden gekozen uit waardenlijst W0316_HL7 W0316 Type hielprik (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(VersturenHielprikverzoek-payload): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0316_HL7 W0316 Type hielprik (HL7) (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="not(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66' and ../hl7:reason)">(VersturenHielprikverzoek-payload): reason kan niet aanwezig aanwezig zijn bij een verzoek voor de eerste hielprik</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or ../hl7:reason">(VersturenHielprikverzoek-payload): reason moet de reden bevatten bij een verzoek voor een herhaalde of tweede hielprik</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="not(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66' and ../hl7:pertinentInformation)">(VersturenHielprikverzoek-payload): pertinentInformation kan niet aanwezig aanwezig zijn bij een verzoek voor de eerste hielprik</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or ../hl7:pertinentInformation">(VersturenHielprikverzoek-payload): pertinentInformation moet het setnummer vorige hielprik bevatten bij een verzoek voor een herhaalde of tweede hielprik</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="not((@code='01' or @code='02') and @codeSystem='2.16.840.1.113883.2.4.4.40.66' and ../hl7:subjectOf6)">(VersturenHielprikverzoek-payload): subjectOf6 kan niet aanwezig aanwezig zijn bij een verzoek voor de eerste hielprik</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:statusCode[@code='active']
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:statusCode[@code='active']"
         id="tmp-r-510637-905613-149932-440498">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenHielprikverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="@nullFlavor or (@code='active')">(VersturenHielprikverzoek-payload): de elementwaarde MOET zijn code 'active'.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:recordTarget[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103']]]
Item: (VersturenHielprikverzoek-payload)
-->
   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:recordTarget[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103']]]"
         id="tmp-r-845575-920077-318061-190438">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@typeCode)='RCT' or not(@typeCode)">(VersturenHielprikverzoek-payload): de waarde van @typeCode MOET 'RCT' zijn.</assert>
      <let name="patRoot" value="'2.16.840.1.113883.2.4.6.3'"/>
      <let name="patExt"
           value="(hl7:patient/hl7:id[@root=$patRoot])[1]/@extension"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="not(ancestor::*/hl7:attentionLine) or not(hl7:patient/hl7:id[@root=$patRoot and @extension]) or ancestor::*/hl7:attentionLine/hl7:value[@extension=$patExt and @root=$patRoot]">(VersturenHielprikverzoek-payload): De patiënt in de Payload (BSN '<value-of select="$patExt"/>') moet overeen komen met de patient in de attentionLine (BSN '<value-of select="ancestor::*/hl7:attentionLine/hl7:value/@extension"/>')</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:patient[hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]])&gt;=1 and not(hl7:patient[hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]]/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:patient[hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:patient[hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:patient[hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:recordTarget[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103']]]/hl7:patient[hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]]
Item: (VersturenHielprikverzoek-payload)
-->
   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:recordTarget[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103']]]/hl7:patient[hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]]"
         id="tmp-r-254785-393302-387382-674645">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172']/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172'])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103']/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103'])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:recordTarget[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103']]]/hl7:patient[hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172']
Item: (VersturenHielprikverzoek-payload)
-->
   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:recordTarget[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103']]]/hl7:patient[hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.172']"
         id="tmp-r-215539-171525-476845-346319">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenHielprikverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.172'">(VersturenHielprikverzoek-payload): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.172' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:recordTarget[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103']]]/hl7:patient[hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103']
Item: (VersturenHielprikverzoek-payload)
-->
   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:recordTarget[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103']]]/hl7:patient[hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.103']"
         id="tmp-r-135105-548141-351343-708181">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenHielprikverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.103'">(VersturenHielprikverzoek-payload): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.103' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:reason[hl7:act[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or @nullFlavor='OTH']]]
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:reason[hl7:act[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or @nullFlavor='OTH']]]"
         id="tmp-r-561948-960232-638949-834144">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(VersturenHielprikverzoek-payload): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@contextConductionInd)='false'">(VersturenHielprikverzoek-payload): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:act[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or @nullFlavor='OTH']])&gt;=1 and not(hl7:act[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or @nullFlavor='OTH']]/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:act[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or @nullFlavor='OTH']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:act[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or @nullFlavor='OTH']])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:act[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or @nullFlavor='OTH']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:reason[hl7:act[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or @nullFlavor='OTH']]]/hl7:act
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:reason[hl7:act[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or @nullFlavor='OTH']]]/hl7:act"
         id="tmp-r-773814-149476-449519-823291">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@classCode)='ALRT'">(VersturenHielprikverzoek-payload): de waarde van @classCode MOET 'ALRT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@moodCode)='EVN'">(VersturenHielprikverzoek-payload): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or @nullFlavor='OTH'])&gt;=1 ">(VersturenHielprikverzoek-payload): element hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or @nullFlavor='OTH'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or @nullFlavor='OTH'])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or @nullFlavor='OTH'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:reason[hl7:act[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or @nullFlavor='OTH']]]/hl7:act/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or @nullFlavor='OTH']
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:reason[hl7:act[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or @nullFlavor='OTH']]]/hl7:act/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.67') or @nullFlavor='OTH']"
         id="tmp-r-147080-679116-651346-888300">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenHielprikverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.317-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(VersturenHielprikverzoek-payload): de waarde van @code MOET worden gekozen uit waardenlijst W0317_HL7 W0317 Reden herhaling/tweede hielprik (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(VersturenHielprikverzoek-payload): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0317_HL7 W0317 Reden herhaling/tweede hielprik (HL7) (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="@displayName or not(@code)">(VersturenHielprikverzoek-payload): @displayName is verplicht</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-r-351472-988274-390934-315233">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@typeCode)='REFR'">(VersturenHielprikverzoek-payload): de waarde van @typeCode MOET 'REFR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@contextConductionInd)='false'">(VersturenHielprikverzoek-payload): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&gt;=1 and not(hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:act
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:act"
         id="tmp-r-520707-721220-374828-553170">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@classCode)='DOC'">(VersturenHielprikverzoek-payload): de waarde van @classCode MOET 'DOC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@moodCode)='EVN'">(VersturenHielprikverzoek-payload): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 ">(VersturenHielprikverzoek-payload): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(VersturenHielprikverzoek-payload): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 ">(VersturenHielprikverzoek-payload): element hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:act/hl7:id
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:act/hl7:id"
         id="tmp-r-121611-338094-685260-169675">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenHielprikverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:act/hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:pertinentInformation[hl7:act[hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:act/hl7:code[(@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-r-488237-557737-557702-750797">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenHielprikverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(VersturenHielprikverzoek-payload): de elementwaarde MOET zijn code '1432' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6"
         id="tmp-r-240266-706193-376651-642062">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(VersturenHielprikverzoek-payload): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@contextConductionInd)='false'">(VersturenHielprikverzoek-payload): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:seperatableInd)&gt;=1 and not(hl7:seperatableInd/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:seperatableInd is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:seperatableInd)&lt;=1">(VersturenHielprikverzoek-payload): element hl7:seperatableInd komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:annotation)&lt;=1">(VersturenHielprikverzoek-payload): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6/hl7:seperatableInd
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6/hl7:seperatableInd"
         id="tmp-r-980551-541236-823175-663832">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenHielprikverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:BL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@value)='false'">(VersturenHielprikverzoek-payload): de waarde van @value MOET 'false' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6/hl7:annotation
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6/hl7:annotation"
         id="tmp-r-565353-710116-852903-726006">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@classCode)='ACT'">(VersturenHielprikverzoek-payload): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@moodCode)='EVN'">(VersturenHielprikverzoek-payload): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(VersturenHielprikverzoek-payload): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(VersturenHielprikverzoek-payload): element hl7:statusCode[@code='completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:author)&lt;=1">(VersturenHielprikverzoek-payload): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6/hl7:annotation/hl7:text
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6/hl7:annotation/hl7:text"
         id="tmp-r-697373-305303-545560-418582">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenHielprikverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6/hl7:annotation/hl7:statusCode[@code='completed']
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6/hl7:annotation/hl7:statusCode[@code='completed']"
         id="tmp-r-947924-204418-486276-679291">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenHielprikverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="@nullFlavor or (@code='completed')">(VersturenHielprikverzoek-payload): de elementwaarde MOET zijn code 'completed'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6/hl7:annotation/hl7:author
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6/hl7:annotation/hl7:author"
         id="tmp-r-326601-451490-644827-914028">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@typeCode)='AUT' or not(@typeCode)">(VersturenHielprikverzoek-payload): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(VersturenHielprikverzoek-payload): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6/hl7:annotation/hl7:author/hl7:assignedEntity
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6/hl7:annotation/hl7:author/hl7:assignedEntity"
         id="tmp-r-177777-657246-459722-805595">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="string(@classCode)='ASSIGNED'">(VersturenHielprikverzoek-payload): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(VersturenHielprikverzoek-payload): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(VersturenHielprikverzoek-payload): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.130
Context: *[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6/hl7:annotation/hl7:author/hl7:assignedEntity/hl7:id
Item: (VersturenHielprikverzoek-payload)
-->

   <rule context="*[hl7:procedureRequest[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']]/hl7:subjectOf6/hl7:annotation/hl7:author/hl7:assignedEntity/hl7:id"
         id="tmp-r-639781-852874-180635-126218">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.130-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenHielprikverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
